src.backend.tests.library_test.Test_Config(3)

NAME
src.backend.tests.library_test.Test_Config

SYNOPSIS

Inherits src.backend.lib.config.Config.

  Public Member Functions
def __init__ (self)
def open_file (self, root='config.json')

Detailed Description

Constructor & Destructor Documentation

  def src.backend.tests.library_test.Test_Config.__init__ ( self)

Initialize main configuration options.

Reimplemented from src.backend.lib.config.Config.

Member Function Documentation

  def src.backend.tests.library_test.Test_Config.open_file ( self, root = 'config.json')

Open config.json and reads in configuration options.

Reimplemented from src.backend.lib.config.Config.

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.